require 'ruboto/widget'
require 'ruboto/util/toast'

ruboto_import_widgets :Button, :LinearLayout, :TextView, :ListView, :EditText

class CustomDialogPopup
	def on_create(bundle)
		super
		set_title "Egyeni felugro ablak"
		
		# az "ablak" elrendezesenek beallitasa
		getWindow.setLayout(ViewGroup::LayoutParams::FILL_PARENT, ViewGroup::LayoutParams::WRAP_CONTENT)

		mFrame = android.graphics.drawable.GradientDrawable.new # gradiens tulajdonsagu ablak letrehozasa
		mFrame.color = android.graphics.Color.argb(20,96,20,0) # az ablak színe
		mFrame.set_stroke(3, android.graphics.Color.argb(255,255,128,128)) # keret
		mFrame.corner_radius = 3 # sarkak lelerekitese
		window.background_drawable = mFrame # a kepernyo maga az elobb definialt frame legyen
		setContentView(
			# szovegmezo hozzaadasa a felugro ablakhoz
			text_view :text => "Egyeni kinezetu felugro ablak, aminek adhatunk cimet is es szinte barmilyen tartalmat!", # megjelenitendo szoveg
					  :text_size => 20.0, # szoveg merete
					  :gravity => (android.view.Gravity::CENTER_HORIZONTAL | # vertikalis es horizontalis igazitas
								   android.view.Gravity::CENTER_VERTICAL))
	end
end