require 'ruboto/widget'
require 'ruboto/util/toast'

ruboto_import_widgets :Button, :LinearLayout, :TextView, :ListView, :EditText

class DateActivity
	java_import "android.app.TimePickerDialog"
	java_import "android.app.DatePickerDialog"

	def on_create(bundle)
		ruboto_import_widgets :LinearLayout, :TextView, :Button
		super
		setTitle "Datum es ido" # a kepernyo cimenek megadasa

		@time  = Time.now # aktualis ido lekerese

		# nezet beallitasa: 1 textfield az adatoknak es 2 gomb: az elso a datum dialog, a masodik pedig az ido dialog
		setContentView(
			linear_layout(:orientation => :vertical) do
				@tv = text_view :text => @time.strftime("%Y.%m.%d. %R"), # textfield szovege
								:text_size => 30.0,	# szoveg merete
								:gravity => android.view.Gravity::CENTER_HORIZONTAL # szoveg helye: vertikalisan kozepre helyezes
				button :text => "Datum beallito Dialog", :on_click_listener => proc{date_picker.show} # datum gomb es esemenyvezerlo
				button :text => "Ido beallito Dialog", :on_click_listener => proc{time_picker.show} # ido gomb es hozza az esemenyvezerloje
			end)
	end

	# datum valaszto esemenykezelo
	def date_picker
		# listener beallitasa a dialoghoz
		@date_set_listener ||= proc{|v, y, m, d| @tv.text = ("%d-%d-%d #{@tv.text.split(' ')[1]}" % [m+1, d, y])}
		# a datepicker dialog letrehozasa
		@date_picker ||= DatePickerDialog.new(@ruboto_java_instance, @date_set_listener, @time.year, @time.month-1, @time.day)
	end

	# ido valaszto esemenykezelo
	def time_picker
		# listener beallitasa a dialoghoz
		@time_set_listener ||= proc{|v, h, m| @tv.text = ("#{@tv.text.split(' ')[0]} %02d:%02d" % [h, m])}
		# a datepicker dialog letrehozasa
		@time_picker ||= TimePickerDialog.new(@ruboto_java_instance, @time_set_listener, @time.hour, @time.min, false)
	end
end