require 'ruboto/activity'
require 'ruboto/widget'
require 'ruboto/util/toast'
require 'HelloWorldActivity'
require 'ToastActivity'
require 'ButtonActivity'
require 'CustomDialogPopup'
require 'DateActivity'
require 'SquareGLActivity'

ruboto_import_widgets :Button, :LinearLayout, :TextView, :ListView, :EditText

class QuickStartActivity

	################# Globalis valtozok #################
	# a navigalo listakat itt adom meg
	@@lists = {
		:main       => %w(Rendszer Grafika),
		"Rendszer"  => ["HelloWorld", "Toast es TextField", "Gombok", "Egyeni felugro", "Datum es ido"],
		"Grafika" 	=> ["OpenGL Kocka"],
	}
	
	################# Metodusok #################
	# az fo ablakot letrehozo metodus, ami automatikusan hivodik meg
	def onCreate(bundle)
		super
		set_title 'Paradigmak Program' # ablak cimenek megadasa
		setContentView( # nezet beallitasa
			linear_layout(:orientation => :vertical) do # layout definialas
				text_view(:text => 'BEMUTATO PROGRAM', :id => 3, # van egy szovegnezetunk
					:layout => {:width => :match_parent}, # a szelessege a szulohoz igazodik
					:gravity => :center, :text_size => 30.0) # kozepre igazitott, 30-as meretu szoveg
				list_view(:list => @@lists[:main],  #listanezet a :main alapjan
					:on_item_click_listener => (proc{|av, v, p, i| QuickStartActivity.onClickAction(self, v.getText)})) # esemenykezelo a lista elemeinek kivalasztasahoz
			end)
    rescue Exception
        puts "Hiba tortent az activity letrehozasakor: #{$!}"
        puts $!.backtrace.join("\n")
    end # onCreate vege

	# a lista elemeire valo kattintaskor hova navigaljon a program
    def self.onClickAction(context, title)
		# ha listaelem, akkor a megfelelo listara
		if @@lists[title]
			QuickStartActivity.openList(context, title, title)
		# amugy meg nyissa meg a megfelelo nezetet
		else
			case title
				when "HelloWorld"       	then context.start_ruboto_activity("HelloWorldActivity")
				when "Toast es TextField"   then context.start_ruboto_activity("ToastActivity")
				when "Gombok"           	then context.start_ruboto_activity("ButtonActivity")
				when "Egyeni felugro"       then context.start_ruboto_dialog("CustomDialogPopup")
				when "Datum es ido"        		then context.start_ruboto_activity("DateActivity")
				when "OpenGL Kocka"         then context.start_ruboto_activity("SquareGLActivity")
				else context.toast "Nincs ilyen lehetoseg!"
			end
		end
    end # onClickAction vege

	# a megfelelo listak megnyitasahoz szukseges metodus
    def self.openList(context, titlee, list_id, extra_text=nil)
		ruboto_import_widgets :LinearLayout, :TextView, :ListView, :Button, :EditText

		# Activity inditasa
		context.start_ruboto_activity do
			@@list_id = list_id
			@@extra_text = extra_text
			@@activityTitle = titlee
			
			# activity inditasakor a letrehozo fuggveny
			def on_create(bundle)
				super
				setTitle @@activityTitle # cim beallitasa a listaelem alapjan
				setContentView( # nezet megadasa
				linear_layout(:orientation => :vertical) do
					text_view(:text => @@extra_text) if @@extra_text # ha van extra szoveg, akkor a kepernyo tetejere irja
					list_view(:list => @@lists[@@list_id], # az uj listanezet betoltese
						:on_item_click_listener => (proc{|av, v, p, i| QuickStartActivity.onClickAction(self, v.getText)})) # uj listanezet megnyitasa az esemenykezelo segitsegevel
				end)
			end
		end
    end # openList fuggveny vege

end # QuickStartActivity osztaly vege